Summary:   An advanced, yet easy to use, graphing calculator with various graphing modes
Name:      fung-calc
Version:   1.3.2b
Release:   1fung
Copyright: GPL
Vendor:    Fungmeista <mizunoami44@users.sourceforge.net>
Url:       http://fung-calc.sourceforge.net

Packager:  Fungmeista <mizunoami44@users.sourceforge.net>
Group:     Sciences/Mathematics
Source:    %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Fung-Calc is an advanced, yet easy to use, graphing calculator. It plots several types of 2D and 3D graphs.
It combines the use of advanced mathematical features and ease of use all in one package.

%package devel
Group: Development/Libraries
Summary: Fung-Calc development libraries and headers.
Requires: %{name} = %{version}

%description devel
Development libraries and headers for the Fung-Calc, a graphing calculator with various graphing modes.
This is in production (low priority) and isn't ready to be used just yet.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=/usr  \
                $LOCALFLAGS
%build

#needed for Qt 3.0.x builds
make clean

# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%makeinstall
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl fung-calc "Applications/Mathematics/Sciences"  %buildroot/%_datadir/applnk/Applications/fung-calc.desktop %buildroot/%_menudir/fung-calc
#fix menu warning
echo >> %buildroot/%_menudir/fung-calc
#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/fung_calc.png %buildroot/%_liconsdir
ln -s %_datadir/icons/hicolor/32x32/apps/fung_calc.png %buildroot/%_iconsdir
ln -s %_datadir/icons/hicolor/16x16/apps/fung_calc.png %buildroot/%_miconsdir

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%{_bindir}/fung-calc
%{_libdir}/libfungcalc.so*
%{_libdir}/libfungcalcui.so*
%{_datadir}/fung-calc

%{_docdir}/HTML/en/fung-calc/
%{_docdir}/HTML/en/fung-calc/common
%{_docdir}/HTML/en/fung-calc/*.docbook
%{_docdir}/HTML/en/fung-calc/*.png
%{_docdir}/HTML/en/fung-calc/*.bz2

%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/icons/hicolor/64x64/apps/*.png
%_liconsdir/fung_calc.png
%_iconsdir/fung_calc.png
%_miconsdir/fung_calc.png
%{_datadir}/mimelnk/application/*

%files devel
%defattr(-, root, root)
%{_includedir}/fung-calc
%{_libdir}/libfungcalc.la
%{_libdir}/libfungcalcui.la
